/**注册组件绑定关系。本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;

namespace NBF
{
    public static class CommonBinder
    {
        [UIExtensionAutoBind]
        public static void BindAll()
        {
            UIObjectFactory.SetPackageItemExtension(SelectPages.URL, typeof(SelectPages));
            UIObjectFactory.SetPackageItemExtension(UIBlurBackground.URL, typeof(UIBlurBackground));
            UIObjectFactory.SetPackageItemExtension(BottomMenu.URL, typeof(BottomMenu));
            UIObjectFactory.SetPackageItemExtension(CommonInput.URL, typeof(CommonInput));
            UIObjectFactory.SetPackageItemExtension(CommonMenuRight.URL, typeof(CommonMenuRight));
            UIObjectFactory.SetPackageItemExtension(ClassifyList.URL, typeof(ClassifyList));
            UIObjectFactory.SetPackageItemExtension(CommonMenu.URL, typeof(CommonMenu));
            UIObjectFactory.SetPackageItemExtension(MarqueeTag.URL, typeof(MarqueeTag));
            UIObjectFactory.SetPackageItemExtension(BtnInputName.URL, typeof(BtnInputName));
            UIObjectFactory.SetPackageItemExtension(BtnTextInputControl.URL, typeof(BtnTextInputControl));
            UIObjectFactory.SetPackageItemExtension(UserMenuInfo.URL, typeof(UserMenuInfo));
            UIObjectFactory.SetPackageItemExtension(CommonItemList.URL, typeof(CommonItemList));
            UIObjectFactory.SetPackageItemExtension(NoticeItem.URL, typeof(NoticeItem));
            UIObjectFactory.SetPackageItemExtension(BtnInputControl.URL, typeof(BtnInputControl));
            UIObjectFactory.SetPackageItemExtension(ListTitleItem.URL, typeof(ListTitleItem));
            UIObjectFactory.SetPackageItemExtension(BtnSubMenu.URL, typeof(BtnSubMenu));
            UIObjectFactory.SetPackageItemExtension(ModelViewer.URL, typeof(ModelViewer));
        }
    }
}